xdebug (3.5.0-0ubuntu3) resolute; urgency=medium

  * d/p/remove-32bit-test.patch: remove 32bit int casting test (LP #2142705)

 -- Renan Rodrigo <rr@ubuntu.com>  Tue, 03 Mar 2026 10:01:26 -0300

xdebug (3.5.0-0ubuntu2) resolute; urgency=medium

  * Update patches for version 3.5.0:
    - d/p/0001-Add-upstream-tests-to-the-package.patch: refresh for 3.5.0
    - d/p/0001-Remove-the-maximum-PHP-version-from-package.xml.patch: drop as
      not needed

 -- Renan Rodrigo <rr@ubuntu.com>  Wed, 18 Feb 2026 15:01:04 -0300

xdebug (3.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 3.5.0
  * d/control: update to PHP 8.5
  * d/p/0001-Remove-the-maximum-PHP-version-from-package.xml.patch: refresh for
    PHP 8.5

 -- Renan Rodrigo <rr@ubuntu.com>  Fri, 30 Jan 2026 09:02:37 -0300

xdebug (3.4.5-3) unstable; urgency=medium

  * Update the autopkgtests to not fail
   - Kudos to Derick Rethans for debugging this.
  * Add upstream tests to the package
  * Don't run online, slow and remote debugger tests

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jul 2025 19:09:00 +0200

xdebug (3.4.5-2) unstable; urgency=medium

  * Add autopkgtests (flaky for now) with upstream tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Jul 2025 09:45:45 +0200

xdebug (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Jul 2025 09:44:53 +0200

xdebug (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jun 2025 15:17:45 +0200

xdebug (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Jun 2025 13:31:40 +0200

xdebug (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Mar 2025 17:55:00 +0100

xdebug (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jan 2025 11:16:51 +0100

xdebug (3.4.0-2) unstable; urgency=medium

  * No change source-only upload to allow migration.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 Dec 2024 14:17:49 +0100

xdebug (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Update Build-Depends to php-all-dev (>= 2:95~)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 08:13:15 +0100

xdebug (3.3.2-3~exp2) experimental; urgency=medium

  * Upload to experimental

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Sep 2024 18:49:38 +0200

xdebug (3.3.2-3~exp1) experimental; urgency=medium

  * Upload to experimental

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Sep 2024 18:48:12 +0200

xdebug (3.3.2-3) unstable; urgency=medium

  * Upload to experimental

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Sep 2024 08:12:41 +0200

xdebug (3.3.2-2) unstable; urgency=medium

  * update d/watch
  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:34:09 +0200

xdebug (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Apr 2024 22:05:59 +0200

xdebug (3.3.1-2) unstable; urgency=medium

  * Enable compression

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Feb 2024 18:12:09 +0100

xdebug (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Ondřej Surý <ondrej@debian.org>  Sun, 21 Jan 2024 10:12:42 +0100

xdebug (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Nov 2023 20:58:02 +0100

xdebug (3.2.1++-1) unstable; urgency=medium

  * New upstream version 3.2.1++
  * Finish splitting the source package for PHP 8.x

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Jun 2023 18:39:01 +0200

xdebug (3.2.1+3.1.6+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.2.1+3.1.6+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Apr 2023 08:42:07 +0200

xdebug (3.2.0+3.1.6+2.9.8+2.8.1+2.5.5-3) unstable; urgency=medium

  * No-change source-only update

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Jan 2023 08:42:04 +0100

xdebug (3.2.0+3.1.6+2.9.8+2.8.1+2.5.5-2) unstable; urgency=medium

  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 14:22:16 +0100

xdebug (3.2.0+3.1.6+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.2.0+3.1.6+2.9.8+2.8.1+2.5.5
   + xdebug 2.5.5 is used for PHP 5.6
   + xdebug 2.8.1 is used for PHP 7.0
   + xdebug 2.9.8 is used for PHP 7.1
   + xdebug 3.1.6 is used for PHP 7.2-7.4
   + xdebug 3.2.0 is used for PHP 8.0+

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 13:05:52 +0100

xdebug (3.1.5+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.1.5+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 08:07:17 +0200

xdebug (3.1.4+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.1.4+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 17:52:21 +0200

xdebug (3.1.2+2.9.8+2.8.1+2.5.5-4) unstable; urgency=medium

  * Fix the d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:01:39 +0100

xdebug (3.1.2+2.9.8+2.8.1+2.5.5-3) unstable; urgency=medium

  * Regenerate d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:10:05 +0100

xdebug (3.1.2+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.1.2+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:52:32 +0100

xdebug (3.1.1+2.9.8+2.8.1+2.5.5-3) unstable; urgency=medium

  * Fix d/control
  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Nov 2021 11:26:15 +0100

xdebug (3.1.1+2.9.8+2.8.1+2.5.5-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:01:12 +0100

xdebug (3.1.1+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.1.1+2.9.8+2.8.1+2.5.5
   + xdebug 2.5.5 is used for PHP 5.6
   + xdebug 2.8.1 is used for PHP 7.0
   + xdebug 2.9.8 is used for PHP 7.1
   + xdebug 3.1.1 is used for PHP 7.2-8.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Oct 2021 15:58:21 +0200

xdebug (3.0.4+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.0.4+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jun 2021 23:11:53 +0200

xdebug (3.0.3+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.0.3+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Mar 2021 17:55:20 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-6) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:08:36 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-5) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:58 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-4) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:51:37 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-3) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:11:17 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-2) unstable; urgency=medium

  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:41:53 +0100

xdebug (3.0.2+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.0.2+2.9.8+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jan 2021 12:16:23 +0100

xdebug (3.0.1+2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 3.0.1+2.9.8+2.8.1+2.5.5
   + xdebug 2.5.5 is used for PHP 5.6
   + xdebug 2.8.1 is used for PHP 7.0
   + xdebug 2.9.8 is used for PHP 7.1
   + xdebug 3.0.1 is used for PHP 7.2-8.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Dec 2020 13:05:41 +0100

xdebug (2.9.8+2.8.1+2.5.5+3.0.0~beta1-2) unstable; urgency=medium

  * Change the package-8.xml, so it builds the version for 8.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Oct 2020 20:53:18 +0200

xdebug (2.9.8+2.8.1+2.5.5+3.0.0~beta1-1) unstable; urgency=medium

  * New upstream version 2.9.8+2.8.1+2.5.5+3.0.0~beta1
   + xdebug 2.5.5 is used for PHP 5.6
   + xdebug 2.8.1 is used for PHP 7.0
   + xdebug 3.0.0~beta1 is used for PHP 8.0
   + xdebug 2.9.8 is used for everything else

 -- Ondřej Surý <ondrej@debian.org>  Sat, 17 Oct 2020 06:10:50 +0200

xdebug (2.9.8+2.8.1+2.5.5-2) unstable; urgency=medium

  * Change the package-7.xml, so it builds the version for 7.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Oct 2020 09:17:18 +0200

xdebug (2.9.8+2.8.1+2.5.5-1) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * Add epoch to the Breaks (Closes: #953727)
  * Update d/gbp.conf for main branch
  * New upstream version 2.9.8+2.8.1+2.5.5
  * Update for dh-php >= 2.0 support

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 20:43:51 +0200

xdebug (2.9.6+2.8.1+2.5.5-4) unstable; urgency=medium

  * Break the php-common binary package and not php-defaults source
    package (Closes: #953727)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Jun 2020 10:54:31 +0200

xdebug (2.9.6+2.8.1+2.5.5-3) unstable; urgency=medium

  * Bump dh_compat to 10
  * Silence lintian warning about pkg-php-tools

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Jun 2020 09:20:11 +0200

xdebug (2.9.6+2.8.1+2.5.5-2) unstable; urgency=medium

  * Fix the version on Breaks: php-defaults (Closes: #953727)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Jun 2020 09:10:16 +0200

xdebug (2.9.6+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.6+2.8.1+2.5.5
  * Add Breaks: php-defaults (<= 69~) to unbreak php-codecoverage
    (Closes: #953727)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Jun 2020 08:35:31 +0200

xdebug (2.9.5+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.5+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 May 2020 10:14:12 +0200

xdebug (2.9.3+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.3+2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Mar 2020 11:31:01 +0100

xdebug (2.9.2+2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.2+2.8.1+2.5.5
    - xdebug 2.5.5 for PHP 5.6
    - xdebug 2.8.1 for PHP 7.0
    - xdebug 2.9.2 for everything else

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Feb 2020 17:15:13 +0100

xdebug (2.9.1+2.9.0+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.1+2.9.0+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jan 2020 09:14:00 +0100

xdebug (2.9.1+2.5.5-2) unstable; urgency=medium

  * Downgrade PHP minimum version

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Jan 2020 23:41:05 +0100

xdebug (2.9.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Jan 2020 17:37:59 +0100

xdebug (2.9.0+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.9.0+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 12:16:14 +0100

xdebug (2.8.1+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.8.1+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Dec 2019 09:58:47 +0100

xdebug (2.8.0+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.8.0+2.5.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 17 Nov 2019 03:14:17 +0100

xdebug (2.7.2+2.5.5+2.8.0~beta2-1) unstable; urgency=medium

  * New upstream version 2.7.2+2.5.5+2.8.0~beta2
  * Add PHP 7.4 support by adding xdebug 2.8.0~beta2

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Oct 2019 15:28:43 +0100

xdebug (2.7.2+2.5.5-1) unstable; urgency=medium

  * New upstream version 2.7.2+2.5.5

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 Aug 2019 09:08:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php8.5-xdebug`.
